shibboleth-3.5.0

Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | Protected Attributes | List of all members
shibsp::TransactionLog::Event Class Referenceabstract

Callback interface that outputs an event record to a stream using formatting tokens. More...

`#include <shibsp/TransactionLog.h>`

Inheritance diagram for shibsp::TransactionLog::Event:

## Public Member Functions
virtual const char * | getType () const =0
| Returns a type string to be used for the log category in the event log. More...
virtual bool | write (std::ostream &out, const char *field, const char *absent) const
| Outputs an event record to a stream based on the defined formatting string. More...

## Public Attributes
const std::exception * | m_exception
| Exception.
const xmltooling::GenericRequest * | m_request
| Request object associated with event.
const Application * | m_app
| Application object associated with event.
const char * | m_sessionID
| Session identifier.
const opensaml::saml2md::EntityDescriptor * | m_peer
| Peer entity associated with event.
const char * | m_protocol
| Protocol associated with event.
const char * | m_binding
| Protocol binding associated with event.
const opensaml::saml2::NameID * | m_nameID
| SAML 2.0 NameID.

## Protected Types
typedef bool(* | handler_fn) (const Event &e, std::ostream &)
| Function that handles a formatting token.

## Protected Member Functions
| Event ()
| Constructor.

## Protected Attributes
std::map< std::string, handler_fn > | m_handlers
| Map of tokens to handlers.

## Detailed Description

Callback interface that outputs an event record to a stream using formatting tokens.

## Member Function Documentation

## ◆ getType()

virtual const char * shibsp::TransactionLog::Event::getType | ( |  | ) | const
| pure virtual

Returns a type string to be used for the log category in the event log.

Returns
  type or category for the event

Implemented in shibsp::LoginEvent, shibsp::LogoutEvent, and shibsp::AuthnRequestEvent.

## ◆ write()

virtual bool shibsp::TransactionLog::Event::write | ( | std::ostream & | out,
|  | const char * | field,
|  | const char * | absent
| ) |  | const
| virtual

Outputs an event record to a stream based on the defined formatting string.

Parameters

  out | stream to use
  field | field to output
  absent | string to output if the field is empty

Returns
  true iff the field was recognized and substituted

The documentation for this class was generated from the following file:

- shibsp/TransactionLog.h